#ifndef LCLOCK_ARCH_H_
#define LCLOCK_ARCH_H_

#include "lcspec.h"
#include "cmsis.h"
#include "core_cm4.h"

/* FIXME:*/
/** Количество тиков системного таймера в секунду */
#define LCLOCK_TICKS_PER_SECOND 1000

/** Тип для представления количества системных тиков */
typedef unsigned int t_lclock_ticks;
//#define USE_CM4_SYSTICK


#if 0
t_lclock_ticks lclock_get_ticks(void);
#else
static LINLINE t_lclock_ticks lclock_get_ticks(void)
{
    extern volatile t_lclock_ticks lclock_systicks;
#ifndef USE_CM4_SYSTICK
    lclock_systicks = TIMER_CNT(TIMER4);
#endif
    return lclock_systicks;
}
#endif

